@charset "utf-8";

body {
	transition: color 1s cubic-bezier(.77,0,.18,1) 0.25s;
	opacity: 1;
}

body:not(.onload_bg) {
	color: #000 !important;
}

svg, .i-svg svg {
	transition: none;
}

/* ------------------------------------------------------------------------------ */

.-bk {
	color: #000;
}

/* ---------------- */

.-wt {
	color: #fff;
}

.-wt .-bk-sp {
	color: #000;
}

.-wt .-bk-sp:hover {
	color: #000;
}

@media screen and (min-width: 768px) {
	.-wt .-bk-pc {
		color: #000;
	}
	
	.-wt .-bk-pc:hover {
		color: #000;
	}
}

/* ---------------- */

.-gy {
	color: #7f7f7f;
}

.-gy a:hover {
	color: #7f7f7f;
}

/* ------------------------------------------------------------------------------ */

.g-navigation {
	color: #000;
}

.g-logo {
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.5s ease;
}

.-show .g-logo {
	opacity: 1;
	pointer-events: auto;
}

.-show .g-header {
	color: #000;
}


/* --------------------------------------- */

.background-overlay {
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh;
	width: 100%;
	background: #fff;
	pointer-events: none;
	z-index: 10;
	opacity: 1;
}

.DOMContentLoaded .background-overlay {
	opacity: 0;
	transition: opacity 0.5s linear 0.25s;
}

.background-image {
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh;
	width: 100%;
	background: #fff;
	pointer-events: none;
	z-index: 1;
	opacity: 0;
	background-repeat: no-repeat;
	background-position: center top;
	background-size: cover;
	transition: none;
}

.onload.onload_bg .background-image {
	opacity: 1;
	transition: opacity 2s cubic-bezier(.77,0,.18,1);
	will-change: transform;
}

/* --------------------------------------- */

.kv {
	-ms-grid-rows: 1fr;
	grid-template-rows: 1fr;
	
	position: relative;
	width: 100vw;
	height: 100vh;
}

@media screen and (min-width: 1280px) {
	.kv {
		-ms-grid-columns: (1fr)[10];
		grid-template-columns: repeat(10, 1fr);
	}
}

/* --------------------------------------- */

.kv__logo {
	-ms-grid-row: 1;
		grid-row: 1;
	-ms-grid-column: 1;
	-ms-grid-column-span: 9;
		grid-column: 1 / 13;
	
	position: absolute;
	top: auto;
	bottom: auto;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	z-index: 3;
}

.kv__logo svg {
	fill: currentColor;
	width: 100%;
	height: 100%;
}

.kv__logo__mark {
	cursor: pointer;
}

.kv__logo .symbol {
	display: block;
	width: 40px;
	height: 40px;
	margin-bottom: 40px;
}

.kv__logo .symbol use {
	width: auto;
}

.kv__logo .type {
	display: block;
	width: 40px;
	height: 240px;
}

/* --------------------------------------- */

.kv__txt {
	-ms-writing-mode: tb-rl;
		writing-mode: vertical-rl;
	
	-ms-grid-row: 1;
		grid-row: 1;
	-ms-grid-column: 1;
	-ms-grid-column-span: 9;
		grid-column: 0 / 12;
	
	position: fixed;
	top: auto;
	bottom: 30px;
	left: 0;
	display: flex;
	width: calc((100% / 12) * 2);
	font-size: 1.8rem;
	z-index: 3;
}


@media screen and (min-width: 768px) {
	.kv__txt {
		bottom: 50px;
	}
}

@media screen and (min-width: 1280px) {
	
	.kv__txt {
		-ms-grid-column: 1;
		-ms-grid-column-span: 17;
		grid-column: 1 / 19;
		font-size: 2.2rem;
		line-height: 2;
		width: calc((100% / 10) * 1);
	}
	
}


.kv__txt__anchor {
	-ms-grid-row: 1;
		grid-row: 1;
	-ms-grid-column: 1;
	-ms-grid-column-span: 12;
		grid-column: 1 / 13;
	-ms-grid-column-align: center;
	-ms-grid-row-align: end;
	
	display: block;
	margin: auto;
	width: auto;
	
	text-decoration: none;
	border-right: 1px solid transparent;
}


.kv__txt__anchor:hover {
	text-decoration: none;
	border-right: 1px solid currentColor;
	color: currentColor;
}
/* ---------------- */

.-wt .kv__txt__anchor:hover {
	color: #fff;
	border-right: 1px solid #fff;
}

/* ---------------- */

@media screen and (min-width: 1280px) {
	.kv__txt__anchor {
		-ms-grid-column: 7;
		-ms-grid-column-span: 8;
		grid-column: 7 / 15;
		-ms-grid-row-align: center;
		align-self: center;
	}
}
